@font-face {
    font-family: 'Corbel'; 
    src: url('https://zomboid.pro/fonts/Corbel.tff'); /*URL to font*/
}

@font-face {
    font-family: 'Constantine'; 
    src: url('https://zomboid.pro/fonts/Constantine.tff'); /*URL to font*/
}

#skip-to-content-link {
  position: fixed;
  top: 0;
  left: 0;
  display: inline-block;
  padding: 0.375rem 0.75rem;
  line-height: 1;
  font-size: 1.25rem;
  background-color: var(--content-background-color);
  color: var(--text-color);
  transform: translateY(-3rem);
  transition: transform 0.1s ease-in;
  z-index: 99999999999;
}

#skip-to-content-link:focus,
#skip-to-content-link:focus-within {
  transform: translateY(0);
}

body {
    background-image: url("/d/img/zomboidbg.png");
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    color: #ffffff;
    font-family: Corbel;
    margin: auto;
    scrollbar-width: none;
    scrollbar-color: transparent transparent;
}

h1, h2, h3, h4, h5, h6 {
    font-family: Constantine;
}

nav {
    font-size: 20px;
    font-weight: bold;
    list-style: none;
}

nav a {
    color: #ffffff;
}

nav a:visited {
    color: #ffbb99;
}

a {
    color: #ff6600;
}

a:hover {
    text-decoration: none;
}

::-webkit-scrollbar {
    display: none;
}

::selection {
    background-color: transparent;
    color: #ff6600;
}

#statuscafe {
    margin: 20px;
    padding: 0.5em;
    color: #ffffff;
    background-color: #00000000;
    border: 2px solid #ffffff;
}
#statuscafe-username {
    margin-bottom: .5em;
}
#statuscafe-content {
    margin: 0 1em 0.5em 1em;
}

#statuscafe a:link { color: #ffffff; }
#statuscafe a:visited { color: #ffffff; }
#statuscafe a:hover { color: #ffffff; }
#statuscafe a:active { color: #ffffff; }

.page {
    display: grid;
    grid-template-rows: [logo] 230px [content] 600px [footer] 90px;
    grid-template-columns: [menu] 500px [main] 1fr;
    grid-template-areas:
        "logo content"
        "menu content"
        "footer footer";
    gap: 10px;
    margin: 15px 5em;
}

.logo {
    grid-column: menu;
    grid-row: logo;
    grid-area: logo;
    display: flex;
    justify-content: center;
}

.logoimg {
    width: 50%;
    height: auto;
}

.menu {
    grid-column: menu;
    grid-row: content;
    grid-area: menu;
    font-family: Corbel;
    margin: auto 6em;
}

.marquee {
  position: relative;
  width: 100%;
  max-width: 100%;
  height: 40px;
  overflow-x: hidden;
}

.track {
  position: absolute;
  white-space: nowrap;
  will-change: transform;
  animation: marquee 10s linear infinite;
}

.track:hover {
    animation-play-state: paused;
}

@keyframes marquee {
  from { transform: translateX(0); }
  to { transform: translateX(-50%); }
}

.content {
    grid-column: content;
    grid-row: logo / span 2;
    grid-area: content;
    border: 1px solid #ffffff;
    padding: 1em;
    background-color: #00000091;
}

.content::-webkit-scrollbar {
    display: none;
}

.footer {
    grid-column: menu / span 2;
    grid-row: footer;
    grid-area: footer;
    display: block;
    text-align: right;
}

.columns {
    display: flex;
    flex-direction: row;
}

.half {
    width: 50%;
    margin: 0.5em;
    padding: 1em;
}

.half::-webkit-scrollbar {
    display: none;
}

.mini {
    width: 30px;
    height: auto;
}

.button {
    width: 88px;
    height: 31px;
}

.recs {
  background: none;
  border: solid 1px #ffffff;
  overflow-x: scroll;
  overflow-y: hidden;
  white-space: nowrap;
  height: 200px;
  display: inline-block;
  width: 97%;
  padding:  0 0 0 15px;
  scrollbar-color: transparent transparent;
}

.rec {
  border: none;
  cursor: pointer;
  overflow: hidden;
  outline: none;
  width: auto;
  height: 150px;
  transition: transform 0.5s;
  margin: 5px;
}

.rec:hover {
  transform: scale(1.2);
}

.recinfo {
  display: none;
  background: rgba(0, 0, 0, 0.5);
  padding: 10px;
  margin: 10px;
  border-radius: 5px;
  height:500px;
  overflow-y: scroll;
  scrollbar-color: transparent transparent;
}

/* Style the tab */
.tab {
    font-family: 'constantine';
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    overflow: hidden;
    color: #ffffff;
    background-color: transparent;
}

/* Style the buttons that are used to open the tab content */
.tab button {
    font-size: 25px;
    font-family: 'constantine';
    color: #ffffff;
    border: 1px solid #ffffff;
    background-color: transparent;
    cursor: pointer;
    transition: 0.3s;
    width: 100%;
    min-height: 75px;
    margin: 1em;
}

/* Change background color of buttons on hover */
.tab button:hover {
    background-color: #ff6600;
}

/* Create an active/current tablink class */
.tab button.active {
    background-color: #ff6600;
}

/* Style the tab content */
.tabcontent {
    display: none;
    padding: 6px 12px;
    border: 1px solid #ccc;
    margin-top: 1em;
    height: 650px;
    overflow-y: scroll;
}